| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties

# JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::ICharacterStrategy Interface Reference

Inheritance diagram for JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::ICharacterStrategy:
[legend]

List of all members.

## Public Member Functions
void | ExecutePrintyPrint (JsonPPStrategyContext context)
## Properties
char | ForWhichCharacter`[get]`

## Member Function Documentation

void JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::ICharacterStrategy::ExecutePrintyPrint | ( | JsonPPStrategyContext | context | ) |

Implemented in JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategies::CloseBracketStrategy, JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategies::CloseSquareBracketStrategy, JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategies::ColonCharacterStrategy, JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategies::CommaStrategy, JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategies::DefaultCharacterStrategy, JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategies::DoubleQuoteStrategy, JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategies::OpenBracketStrategy, JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategies::OpenSquareBracketStrategy, JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategies::SingleQuoteStrategy, and JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategies::SkipWhileNotInStringStrategy.

## Property Documentation

char JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::ICharacterStrategy::ForWhichCharacter`[get]`

Implemented in JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategies::CloseBracketStrategy, JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategies::CloseSquareBracketStrategy, JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategies::ColonCharacterStrategy, JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategies::CommaStrategy, JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategies::DefaultCharacterStrategy, JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategies::DoubleQuoteStrategy, JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategies::OpenSquareBracketStrategy, JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategies::SingleQuoteStrategy, and JsonPrettyPrinterPlus::JsonPrettyPrinterInternals::JsonPPStrategies::SkipWhileNotInStringStrategy.

The documentation for this interface was generated from the following file:

- ICharacterStrategy.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events